LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Error starting Google Chrome. (http://www.linuxquestions.org/questions/slackware-14/error-starting-google-chrome-879101/)

hackum 05-05-2011 11:23 PM

Error starting Google Chrome.
 
Installed Google Chrome by Slackbuilds after installation in the terminal: google-chrome, comprised the following error:

bash-4.1 # google-chrome
/ usr / bin / google-chrome: error while loading shared libraries: libgconf-2.so.4: can not open shared object file: No such file or directory

Thanks!

andrewthomas 05-05-2011 11:31 PM

Rebuild your GConf package

TobiSGD 05-05-2011 11:33 PM

You don't have GConf installed, which is a dependency of Google Chrome. You can see that here.
You can get GConf from /extra. You will find it in the google-chrome directory.

hackum 05-05-2011 11:37 PM

How? Note: I am beginner Slackware
bash-4.1# google-chrome
/usr/bin/google-chrome: error while loading shared libraries: libpam.so.0: cannot open shared object file: No such file or directory

TobiSGD 05-05-2011 11:46 PM

I assume that you have a Slackware install-DVD. Put that into the drive, mount it (if not auto-mounted) and navigate to the folder extra/google-chrome on it. You will find the GConf-package there. Install it using installpkg.

If you don't have the DVD browse to your favorite mirror on the net, for example http://ftp.gwdg.de/pub/linux/slackware/, click on the link for your installed distro (for example slackware-13.37) and click on extra and then on google-chrome. Download the needed package and install it using installpkg.

If you need more information about installpkg try it with
Code:

man installpkg
or read the chapter about package management in the Slack Book. You should read that book anyway.

TobiSGD 05-05-2011 11:49 PM

Quote:

Originally Posted by hackum (Post 4347962)
/usr/bin/google-chrome: error while loading shared libraries: libpam.so.0: wrong ELF class: ELFCLASS64

Seems to me that you have mixed 32 and 64 bit packages. You can do that only if you have installed the multilib packages from AlienBob. This will work only if you have a 64 bit OS and want to install 32 bit packages, but not vice versa.

hackum 05-05-2011 11:54 PM

Error continues:

bash-4.1# installpkg GConf-2.32.1-i486-1.txz
Verifying package GConf-2.32.1-i486-1.txz.
Installing package GConf-2.32.1-i486-1.txz:
PACKAGE DESCRIPTION:
# GConf (GNOME configuration library)
#
# GConf is a configuration database system, functionally similar to the
# Windows registry.
#
# Homepage: http://www.gnome.org/projects/gconf/
#
Executing install script for GConf-2.32.1-i486-1.txz.
Package GConf-2.32.1-i486-1.txz installed.

bash-4.1# google-chrome
/usr/bin/google-chrome: error while loading shared libraries: libpam.so.0: cannot open shared object file: No such file or directory
bash-4.1# installpkg ORBit2-2.14.19-i486-1.txz
Verifying package ORBit2-2.14.19-i486-1.txz.
Installing package ORBit2-2.14.19-i486-1.txz:
PACKAGE DESCRIPTION:
# ORBit2 (CORBA ORB library)
#
# ORBit is a high-performance CORBA (Common Object Request Broker
# Architecture) ORB (object request broker). It allows programs to
# send requests and receive replies from other programs, regardless
# of the locations of the two programs. CORBA is an architecture that
# enables communication between program objects, regardless of the
# programming language they're written in or the operating system they
# run on.
#
Executing install script for ORBit2-2.14.19-i486-1.txz.
Package ORBit2-2.14.19-i486-1.txz installed.

bash-4.1# google-chrome
/usr/bin/google-chrome: error while loading shared libraries: libpam.so.0: cannot open shared object file: No such file or directory
bash-4.1#

TobiSGD 05-06-2011 12:04 AM

As the error-message states, you don't have the pam libraries for chrome installed. You need this package: google-chrome-pam-solibs-1.1.3-i486-1.txz. You will find that also in the google-chrome folder. I wonder why you install orbit, but not the pam libs.

andrewthomas 05-06-2011 12:04 AM

install google-chrome-pam-solibs

flyer103 05-06-2011 11:24 AM

I had encountered the same problem and after isntalling ORBit2-2.14.19 and Linux-PAM-1.1.3, the problem was solved. If it had no effect, try the command "ldconfig". Just google the messages that the system indicates ^_^

hackum 05-06-2011 02:40 PM

Error continues > /usr/bin/google-chrome: error while loading shared libraries: libprelude.so.2: cannot open shared object file: No such file or directory


All times are GMT -5. The time now is 10:30 AM.